Bug 252861 - net/ntpsec: request update to 1.2.0
Summary: net/ntpsec: request update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-20 14:30 UTC by Alexandre Labarre
Modified: 2021-01-21 08:19 UTC (History)
2 users (show)

See Also:
alexandre.labarre: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Labarre 2021-01-20 14:30:48 UTC
Hello,

NTPSec version bumped on 2020-10-06: latest version is 1.2.0.
Could you please update the port?

Changelog:
The minor version bump is to indicate official official support of
RFC8915 "Network Time Security for the Network Time Protocol" which
was released 2020-09-30.

On this day in 1783, Benjamin Hanks received a patent for a
self-winding clock he planned to install in the Old Dutch Church in
Kingston, New York, supposedly making it the first public clock in
what became the New York City metropolitan area.

NTS-KE client now defaults to port 4460.

NTS-KE server now listens on port 4460.
(Listening on port 123 has been removed.)

The shebang of installed Python scripts can now be customized with:
  waf configure --pyshebang="…​"
This has multiple uses, but one example is for distros (like CentOS 8 or
Ubuntu 20.04) with no python executable:
  python3 waf configure --pyshebang="/usr/bin/env python3"

NTP clients now use a shared library with Python instead of an extension.

Add flakiness option to ntpq and fixed limit=1 in mrulist.

Fixed a minor formatting issue in rate page.

Source: https://gitlab.com/NTPsec/ntpsec/-/blob/master/NEWS.adoc#user-content-2020-10-06-1-2-0
Comment 1 Yuri Victorovich freebsd_committer 2021-01-20 17:37:48 UTC
Update committed, thanks!
Comment 2 commit-hook freebsd_committer 2021-01-20 17:38:29 UTC
A commit references this bug:

Author: yuri
Date: Wed Jan 20 17:37:45 UTC 2021
New revision: 562152
URL: https://svnweb.freebsd.org/changeset/ports/562152

Log:
  net/ntpsec: Update 1.1.9-57 -> 1.2.0

  Changelog: https://gitlab.com/NTPsec/ntpsec/-/blob/master/NEWS.adoc#user-content-2020-10-06-1-2-0

  PR:		252861

Changes:
  head/net/ntpsec/Makefile
  head/net/ntpsec/distinfo
Comment 3 Alexandre Labarre 2021-01-21 08:00:57 UTC
Thank you for your support @Yuri
Comment 4 Yuri Victorovich freebsd_committer 2021-01-21 08:19:50 UTC
(In reply to Alexandre Labarre from comment #3)

You're welcome!